/*
**
Method Name:        Clear Password Method.
Method Platform:    Windows NT Server

Copyright (C) 2002 Novell, Inc. All Rights Reserved. 

THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND
TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE
LICENSE AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT
(SDK) THAT CONTAINS THIS WORK. PURSUANT TO THE SDK LICENSE
AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER A ROYALTY-FREE,
NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN ITS
PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO
MARKET, DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF
DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO OBLIGATIONS TO
DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS CODE.
*/
#include <windows.h>

int ourModuleHandle;
int ourThreadGroupID;
int activeThreadCount = 0;

/* ******************************************************************* */
int SetThreadGroupID(int ourThreadGroupID)
{
	return 0;
}

/* ******************************************************************* */
BOOL WINAPI DllMain( HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved )
{
	int err = 0;

	ourModuleHandle = (int)hinstDLL;

	if ( fdwReason == DLL_PROCESS_ATTACH )
	{
		if ( activeThreadCount == 0 )
		{
			/* ******************************************************************* */
			// do module intialization here
			/* ******************************************************************* */
		}
		activeThreadCount++;
	}
	else if ( fdwReason == DLL_PROCESS_DETACH ) 
	{
		activeThreadCount--;
		if ( activeThreadCount <= 0 )
		{
			/* ******************************************************************* */
			// do module clean up here
			/* ******************************************************************* */
		}
	}

	return TRUE;
}

/* ******************************************************************* */
/* ******************************************************************* */

